## org.eclipse.emf.ecore
Interface EValidator.ValidationDelegate

Enclosing interface:
  EValidator

    public static interface EValidator.ValidationDelegate

An interface for delegating validation expression evaluation.

Since:
  2.6

Nested Class Summary
`static interface` `EValidator.ValidationDelegate.Descriptor` A `ValidationDelegate` wrapper that is used by the `EValidator.ValidationDelegate.Registry`.
`static interface` `EValidator.ValidationDelegate.Registry` A map from `String` to `EValidator.ValidationDelegate`.

Method Summary
`boolean` `validate(EClass eClass, EObject eObject, java.util.Map<java.lang.Object,java.lang.Object> context, EOperation invariant, java.lang.String expression)` Evaluates the given invariant expression against the object in the given context.
`boolean` `validate(EClass eClass, EObject eObject, java.util.Map<java.lang.Object,java.lang.Object> context, java.lang.String constraint, java.lang.String expression)` Evaluates the given constraint expression against the object in the given context.
`boolean` `validate(EDataType eDataType, java.lang.Object value, java.util.Map<java.lang.Object,java.lang.Object> context, java.lang.String constraint, java.lang.String expression)` Evaluates the given constraint expression against the value in the given context.

Method Detail

### validate

    boolean validate(EClass eClass,
                     EObject eObject,
                     java.util.Map<java.lang.Object,java.lang.Object> context,
                     EOperation invariant,
                     java.lang.String expression)

  Evaluates the given invariant expression against the object in the given context.

  Returns:
    the result of the expression evaluation.

### validate

    boolean validate(EClass eClass,
                     EObject eObject,
                     java.util.Map<java.lang.Object,java.lang.Object> context,
                     java.lang.String constraint,
                     java.lang.String expression)

  Evaluates the given constraint expression against the object in the given context.

  Returns:
    the result of the expression evaluation.

### validate

    boolean validate(EDataType eDataType,
                     java.lang.Object value,
                     java.util.Map<java.lang.Object,java.lang.Object> context,
                     java.lang.String constraint,
                     java.lang.String expression)

  Evaluates the given constraint expression against the value in the given context.

  Returns:
    the result of the expression evaluation.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.